net.dontdrinkandroot.visualization.display

## Class PdfDisplay

- java.lang.Object
- - net.dontdrinkandroot.visualization.display.PdfDisplay

All Implemented Interfaces:
  Display

    public class PdfDisplay
    extends Object
    implements Display

### Constructor Summary

Constructors
Constructor and Description
`PdfDisplay(Layout<?> layout)`
`PdfDisplay(Layout<?> layout, float margin)`

### Method Summary

Methods
`static byte[]` `renderToBytes(Layout<?> layout, int margin)`
`static void` `renderToFile(Layout<?> layout, File file, int margin)`
`static void` `renderToOutputStream(Layout<?> layout, int margin, OutputStream os)`
`void` `write(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PdfDisplay

    public PdfDisplay(Layout<?> layout)

#### PdfDisplay

    public PdfDisplay(Layout<?> layout,
              float margin)

### Method Detail

#### write

    public final void write(File file)
                     throws FileNotFoundException,
                            LayoutException,
                            com.itextpdf.text.DocumentException

Throws:
  `FileNotFoundException`
  `LayoutException`
  `com.itextpdf.text.DocumentException`

#### renderToFile

    public static void renderToFile(Layout<?> layout,
                    File file,
                    int margin)
                             throws LayoutException,
                                    FileNotFoundException,
                                    com.itextpdf.text.DocumentException

Throws:
  `LayoutException`
  `FileNotFoundException`
  `com.itextpdf.text.DocumentException`

#### renderToBytes

    public static byte[] renderToBytes(Layout<?> layout,
                       int margin)
                                throws LayoutException,
                                       com.itextpdf.text.DocumentException

Throws:
  `LayoutException`
  `com.itextpdf.text.DocumentException`

#### renderToOutputStream

    public static void renderToOutputStream(Layout<?> layout,
                            int margin,
                            OutputStream os)
                                     throws LayoutException,
                                            com.itextpdf.text.DocumentException

Throws:
  `LayoutException`
  `com.itextpdf.text.DocumentException`